#include "HanoiStack.h"

HanoiStack :: HanoiStack ( ImplementationType t ): Stack(t) {}

void HanoiStack :: push( int value )
{
	if ( stackData->isEmpty() || value < peek() )
	{
		stackData->push( value );
	}
}

int HanoiStack :: peek()
{
	int value = stackData->pop();
	stackData->push( value );
	return value;
}



