#include "ArrayImplementor.h"

ArrayImplementor :: ArrayImplementor( int s ): StackImplementor(), size(s)
{
	itemList = new int[size];
	currentItem = 0;
}

ArrayImplementor :: ~ArrayImplementor() { delete itemList; }

void ArrayImplementor :: push( int val ) 
{
   if ( !isFull())
   {
      itemList[currentItem++] = val;
   }
}

int ArrayImplementor :: pop() 
{
   if (isEmpty()) 
   {
	   return 0;
   }
   else 
   {   
	   return itemList[--currentItem];
   }	   
}

bool ArrayImplementor :: isEmpty() { return currentItem == 0; }

bool ArrayImplementor :: isFull()  
{ 
	return currentItem == size; 
}
