#include "StackImplementor.h"
#include "ListImplementor.h"
#include "Node.h"

ListImplementor :: ListImplementor() 
{ 
	head = 0;
}

ListImplementor :: ~ListImplementor() 
{
	Node  *current, *previous;
	current = head;
	while (current) 
	{
		previous = current;
		current = current->getNext();
		delete previous;
	}
}

void ListImplementor :: push( int val ) 
{
   Node*  temp = new Node( val, head );
   head = temp; 
}

int ListImplementor :: pop() 
{
   if (isEmpty()) 
   {
	   return 0;
   }
   else
   {
	   Node*  temp = head;
	   int    val  = head->getValue();
	   head = head->getNext();
	   delete temp;
	   return val;
   }	   
}

bool ListImplementor :: isEmpty() 
{
	return (head == 0); 
}

bool ListImplementor :: isFull()
{ 
	return false;
}

